Name:		minirpc
Version:	0.3.2
Release:	5%{?dist}
Summary:	C library for remote procedure calls over stream-oriented transports

Group:		System Environment/Libraries
License:	LGPLv2
URL:		http://minirpc.cs.cmu.edu/
Source0:	http://minirpc.cs.cmu.edu/download/%{name}-%{version}.tar.gz
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:	glib2-devel >= 2.10
BuildRequires:	perl /usr/bin/rpcgen doxygen pkgconfig


%description
miniRPC is a remote procedure call library which works on
top of TCP and other stream-oriented transports. It is designed to be
more powerful than SunRPC and easier to use. Like SunRPC, it
communicates using the XDR data representation.


%package	devel
Summary:	Development files for %{name}
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	pkgconfig /usr/bin/rpcgen

%description	devel
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.


%prep
%setup -q


%build
%configure --disable-static
make all html %{?_smp_mflags}

#%check
#make check


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT INSTALL="%{__install} -p"
find $RPM_BUILD_ROOT -name '*.la' -exec rm -f {} ';'
chmod +x $RPM_BUILD_ROOT%{_libdir}/*.so.*

# unify timestamps for multiarch
touch -c -r minirpc/minirpc.h.in minirpc/minirpc.h
touch -c -r lib/minirpc.x lib/minirpc_xdr.h
touch -c -r lib/minirpc.x lib/minirpc_xdr.c
touch -c -r minirpc/minirpc.h.in minirpc/minirpc.h
touch -c -r minirpc/minirpc.h.in $RPM_BUILD_ROOT%{_includedir}/minirpc/minirpc.h
touch -c -r minirpcgen.in $RPM_BUILD_ROOT%{_bindir}/minirpcgen
touch -r CHANGES doc/html/*


%clean
rm -rf $RPM_BUILD_ROOT


%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig


%files
%defattr(-,root,root,-)
%doc README CHANGES COPYING
%{_libdir}/*.so.*

%files devel
%defattr(-,root,root,-)
%doc doc/html
%{_includedir}/*
%{_libdir}/*.so
%{_bindir}/minirpcgen
%{_libdir}/pkgconfig/*.pc


%changelog
* Wed Sep 23 2009 Adam Goode <adam@spicenitz.org> - 0.3.2-5
- Temporarily disable checks to get around FTBFS (#511677)

* Sat Jul 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.3.2-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Wed Feb 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.3.2-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Sun Oct  5 2008 Adam Goode <adam@spicenitz.org> - 0.3.2-2
- Add explicit BuildRequires on glib2 >= 2.10

* Thu Jul  3 2008 Adam Goode <adam@spicenitz.org> - 0.3.2-1
- New release

* Fri May 23 2008 Adam Goode <adam@spicenitz.org> - 0.3.1-1
- New upstream release
- Enable make check
- Remove patches (now in upstream)

* Wed May 21 2008 Adam Goode <adam@spicenitz.org> - 0.3-3
- Unify timestamps of files for multiarch
- Eliminate duplicate documentation in devel package

* Tue May 20 2008 Adam Goode <adam@spicenitz.org> - 0.3-2
- Eliminate Doxygen date-based footer for multilib compatibility

* Mon May 19 2008 Adam Goode <adam@spicenitz.org> - 0.3-1
- Initial package
